package cofh.thermal.expansion.client.gui.dynamo;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cofh.core.client.gui.IGuiAccess;
import cofh.core.client.gui.element.ElementBase;
import cofh.core.inventory.container.ContainerCoFH;
import cofh.core.util.helpers.GuiHelper;
import cofh.lib.api.block.entity.ITileCallback;
import cofh.thermal.core.client.gui.ThermalGuiHelper;
import cofh.thermal.expansion.inventory.container.dynamo.DynamoMagmaticContainer;
import cofh.thermal.lib.block.entity.AugmentableBlockEntity;
import cofh.thermal.lib.client.gui.DynamoScreen;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.entity.player.Inventory;

public class DynamoMagmaticScreen extends DynamoScreen<DynamoMagmaticContainer> {
  public static final String TEX_PATH = "thermal:textures/gui/container/fluid_dynamo.png";
  
  public static final ResourceLocation TEXTURE = new ResourceLocation("thermal:textures/gui/container/fluid_dynamo.png");
  
  public DynamoMagmaticScreen(DynamoMagmaticContainer container, Inventory inv, Component titleIn) {
    super((ContainerCoFH)container, inv, container.tile, titleIn);
    this.texture = TEXTURE;
    this.info = GuiHelper.appendLine(GuiHelper.generatePanelInfo("info.thermal.dynamo_magmatic"), "info.thermal.dynamo.throttle");
  }
  
  public void m_7856_() {
    super.m_7856_();
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createMediumFluidStorage((IGuiAccess)this, 34, 22, this.tile.getTank(0)), (ITileCallback)this.tile, 0));
    addElement((ElementBase)ThermalGuiHelper.createDefaultDuration((IGuiAccess)this, 80, 35, "cofh_core:textures/gui/elements/scale_flame.png", (AugmentableBlockEntity)this.tile));
  }
}
